petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectSetTabLevel

Sets the number of tabs that ASCII output for that object use

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSetTabLevel(PetscObject obj,PetscInt tab)

Not Collective Many br

### Input Parameters

| obj | - any PETSc object, for example a Vec, Mat or KSP. Thus must be Many brcast with a (PetscObject), for example, Many brPetscObjectGetComm((PetscObject)mat,&comm); Many br
| tab | - the number of tabs Many br

Many br

Notes: this is used to manage the output from options that are imbedded in other objects. For example Many brthe KSP object inside a SNES object. By indenting each lower level further the heirarchy of objects Many bris very clear. Many br

### See Also

PetscObjectIncrementTabLevel()

Level:developer
Location:src/sys/objects/gcomm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages